Subject: Re: bug#18336: 24.4.50; When editing externally changed file, Emacs asks too many questions

From: Eli Zaretskii <[email-masked]>
Date: Mon, 02 Mar 2020 10:27:54 +0200

> From: Noam Postavsky <[email-masked]>
> Cc: David Kastrup <[email-masked]>,  [email-masked],  [email-masked]
> Date: Sun, 01 Mar 2020 23:14:12 -0500
> 
> > I tried the current master, and I see the same as on the emacs-27
> > branch, with a file not under any VCS.
> >
> > I have no idea how you see something so different.
> 
> I've tried this now too, and I see the same as Eli, even on Emacs 26.3.

The only idea I had meanwhile is that maybe David has some local code
which redefines the functions involved in this use case.

> By the way, the "Save anyway?" question doesn't get logged to
> *Messages*.

In Emacs 27 as well?  Probably because we use there some API that
doesn't log its text or something.